
import { getBaseConfig,getChartShareToken } from '@/api/etaConfig.js';

/* 分享图表link时 加有效期超时无权限 Source chart/table*/
export async function getChartShareExpireToken(UniqueCode='',Source="chart") {
    const res = await getBaseConfig();
    if(res.Ret!==200) return
    
    const { IsOpenChartExpired } = res.Data;
    let needCheckAuth = IsOpenChartExpired==='true'?true:false;
    
    if(!needCheckAuth) return { Data:'',Ret:200 }
    return await getChartShareToken({ UniqueCode,Source })

}