// ETA指标库模块
export const dataEDBRoutes=[
    {
        path:"/dataEDB/index",
        name:"DataEDBIndex",
        component: () => import("@/views/dataEDB/Index.vue"),
        meta: { 
            title: "ETA指标库",
            keepAlive:true,
            hasBackTop:true,
        },
    },
    {
        path:"/dataEDB/relationChart",
        name:"DataEDBRelationChart",
        component: () => import("@/views/dataEDB/RelationChart.vue"),
        meta: { 
            title: "关联图表",
            keepAlive:false,
            hasBackTop:true,
        },
    },
    {
        path:"/dataEDB/relationEDB",
        name:"DataEDBRelationEDB",
        component: () => import("@/views/dataEDB/RelationEDB.vue"),
        meta: { 
            title: "关联指标",
            keepAlive:false,
            hasBackTop:true,
        },
    },
    {
        path:"/dataEDB/detail",
        name:"DataEDBDetail",
        component: () => import("@/views/dataEDB/Detail.vue"),
        meta: { 
            title: "ETA指标详情"
        },
    },
    {
        path:"/dataEDB/search",
        name:"DataEDBSearch",
        component: () => import("@/views/dataEDB/SearchList.vue"),
        meta: { 
            title: "ETA指标库",
            keepAlive:true,
            hasBackTop:true,
        },
    },
    {
        path:"/dataEDB/addbaseEDB",
        name:"DataEDBAddBaseEDB",
        component: () => import("@/views/dataEDB/AddBaseEDB.vue"),
        meta: { 
            title: "添加指标"
        },
    },
    {
        path:"/dataEDB/calculate/index",
        name:"DataEDBCalculateIndex",
        component: () => import("@/views/dataEDB/calculate/Index.vue"),
        meta: { 
            title: "计算指标"
        },
    },
    {
        path:"/dataEDB/calculate/detail",
        name:"DataEDBCalculateDetail",
        component: () => import("@/views/dataEDB/calculate/Detail.vue"),
        meta: { 
            title: "指标运算"
        },
    },
    {
        path:"/dataEDB/calculate/batchDetail",
        name:"DataEDBCalculateBatchDetail",
        component: () => import("@/views/dataEDB/calculate/BatchDetail.vue"),
        meta: { 
            title: "指标批量运算"
        },
    },
    {
        path:"/dataEDB/replaceEDB",
        name:"DataEDBReplaceEDB",
        component: () => import("@/views/dataEDB/ReplaceEDB.vue"),
        meta: { 
            title: "替换指标"
        },
    },
    {
        path:"/dataEDB/history",
        name:"DataEDBHistory",
        component: () => import("@/views/dataEDB/EDBHistoryPage.vue"),
        meta: { 
            title: "指标溯源"
        },
    },
]